//
//  TransferPdtDetail.m
//  XFFruit
//
//  Created by 陈俊俊 on 15/9/28.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "TransferPdtDetail.h"

@implementation TransferPdtDetail

- (void)setPurchasePdt:(PurchaseBillProduct *)purchasePdt {
    _purchasePdt = purchasePdt;
    self.productUuid = purchasePdt.product_uuid;
    self.productCode = purchasePdt.product_code;
    self.productName = purchasePdt.product_name;
    self.price = purchasePdt.basePrice;
    self.packprice = purchasePdt.price;
}

- (PurchaseBillProduct *)changeToPurchasePdt {
    if (!self.purchasePdt) {
        self.purchasePdt = [PurchaseBillProduct new];
        NSDictionary *dict = [self dictForCommit];
        [self.purchasePdt setValuesForKeysWithDictionary:dict];
    }
    self.purchasePdt.receivedQty = self.rctQty;
    self.purchasePdt.receivedBaseQty = self.rctBaseQty;
    return self.purchasePdt;
}
@end
